Crash with love.graphics.print under 0.8.0

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
Post Reply
User avatar
zwzsg
Prole
Posts: 14
Joined: Thu Jul 19, 2012 9:44 pm

Crash with love.graphics.print under 0.8.0

Post by zwzsg »

Made a game for 0.7.2 (forum post). Ported it to 0.8.0 (love file). Found out the new love.graphics.print crash on my machine.

By crash I don't mean a nice Lua error, but instead "LÖVE 0.8.0 has encountered a problem and must be closed [...]".
I know it's love.graphics.print because when I replace it with a function that does nothing (see comments in love.load), then game works.
Yes love.graphics.print got new arguments in 0.8.0, but the extras have default values to make it work as in 0.7.2.

Also tried with all the loves in https://bitbucket.org/rude/love/downloa ... -0.8.0.zip
lovalanche.love, metaballs.love, particles.love, passingclouds.love, sinescroller.love work. in 0.8.0
no.love, particles.love crash in 0.8.0

Have Windows XP with an ATI Radeon ASUS EAH5770 Series. Which I mention because Linux people could run my game fine, and because I know from another free game engine that ATI gfx have poor OpenGL support.
User avatar
Boolsheet
Inner party member
Posts: 780
Joined: Wed Dec 29, 2010 4:57 am
Location: Switzerland

Re: Crash with love.graphics.print under 0.8.0

Post by Boolsheet »

Woah, that's a lot of information for a Windows crash report. This should make it very easy to help. ;)

Hm, the 5770 series isn't that old, is it? We have discovered an issue where older ATI drivers do divide by zero in the code near the font handling. See issue 406. A fix has already been pushed (just after 0.8.0 was released) and should be in the next version of LÖVE. You can download the latest Windows development build from here and test if that fixes it.
Shallow indentations.
User avatar
zwzsg
Prole
Posts: 14
Joined: Thu Jul 19, 2012 9:44 pm

Re: Crash with love.graphics.print under 0.8.0

Post by zwzsg »

Indeed, all the loves that crash 0.8.0 work fine with this 0.8.1 dev build.
Post Reply

Who is online

Users browsing this forum: No registered users and 23 guests